Package org.apache.activemq.artemis.jms.bridge

## Class ActiveMQJMSBridgeLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.jms.bridge.ActiveMQJMSBridgeLogger_$logger

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJMSBridgeLogger`, `org.jboss.logging.BasicLogger`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2022-04-27T20:12:13-0400")
      public class ActiveMQJMSBridgeLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJMSBridgeLogger, org.jboss.logging.BasicLogger, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.bridge.ActiveMQJMSBridgeLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQJMSBridgeLogger_$logger​(org.jboss.logging.Logger log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bridgeAckError​(java.lang.Exception e, java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeAckError$str()` |
    `void` | `bridgeConnected​(java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeConnected$str()` |
    `void` | `bridgeConnectError​(java.lang.Exception e, java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeConnectError$str()` |
    `void` | `bridgeFailure​(java.lang.Exception e, java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeFailure$str()` |
    `void` | `bridgeNotStarted​(java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeNotStarted$str()` |
    `void` | `bridgeReconnected​(java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeReconnected$str()` |
    `void` | `bridgeRetry​(long failureRetryInterval, java.lang.String bridgeName)` |
    `protected java.lang.String` | `bridgeRetry$str()` |
    `void` | `errorBridgeAlreadyStarted​(java.lang.String bridgeName)` |
    `protected java.lang.String` | `errorBridgeAlreadyStarted$str()` |
    `void` | `errorConnectingBridge​(java.lang.String bridgeName)` |
    `protected java.lang.String` | `errorConnectingBridge$str()` |
    `void` | `errorStartingBridge​(java.lang.String bridgeName)` |
    `protected java.lang.String` | `errorStartingBridge$str()` |
    `void` | `errorUnregisteringBridge​(javax.management.ObjectName objectName, java.lang.String bridgeName)` |
    `protected java.lang.String` | `errorUnregisteringBridge$str()` |
    `void` | `failedToSetUpBridge​(long failureRetryInterval, java.lang.String bridgeName)` |
    `protected java.lang.String` | `failedToSetUpBridge$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `void` | `jmsBridgeSrcConnectError​(java.lang.Exception e, java.lang.String bridgeName)` |
    `protected java.lang.String` | `jmsBridgeSrcConnectError$str()` |
    `void` | `jmsBridgeTransactionManagerMissing​(QualityOfServiceMode qosMode, java.lang.String bridgeName)` |
    `protected java.lang.String` | `jmsBridgeTransactionManagerMissing$str()` |
    `void` | `transactionRolledBack​(java.lang.Exception e)` |
    `protected java.lang.String` | `transactionRolledBack$str()` |

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJMSBridgeLogger_$logger

          public ActiveMQJMSBridgeLogger_$logger​(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### failedToSetUpBridge

          public final void failedToSetUpBridge​(long failureRetryInterval,
                                                java.lang.String bridgeName)

      Specified by:
        `failedToSetUpBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### failedToSetUpBridge$str

          protected java.lang.String failedToSetUpBridge$str()

    - #### bridgeReconnected

          public final void bridgeReconnected​(java.lang.String bridgeName)

      Specified by:
        `bridgeReconnected` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeReconnected$str

          protected java.lang.String bridgeReconnected$str()

    - #### bridgeConnected

          public final void bridgeConnected​(java.lang.String bridgeName)

      Specified by:
        `bridgeConnected` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeConnected$str

          protected java.lang.String bridgeConnected$str()

    - #### errorBridgeAlreadyStarted

          public final void errorBridgeAlreadyStarted​(java.lang.String bridgeName)

      Specified by:
        `errorBridgeAlreadyStarted` in interface `ActiveMQJMSBridgeLogger`

    - #### errorBridgeAlreadyStarted$str

          protected java.lang.String errorBridgeAlreadyStarted$str()

    - #### errorStartingBridge

          public final void errorStartingBridge​(java.lang.String bridgeName)

      Specified by:
        `errorStartingBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### errorStartingBridge$str

          protected java.lang.String errorStartingBridge$str()

    - #### errorUnregisteringBridge

          public final void errorUnregisteringBridge​(javax.management.ObjectName objectName,
                                                     java.lang.String bridgeName)

      Specified by:
        `errorUnregisteringBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### errorUnregisteringBridge$str

          protected java.lang.String errorUnregisteringBridge$str()

    - #### errorConnectingBridge

          public final void errorConnectingBridge​(java.lang.String bridgeName)

      Specified by:
        `errorConnectingBridge` in interface `ActiveMQJMSBridgeLogger`

    - #### errorConnectingBridge$str

          protected java.lang.String errorConnectingBridge$str()

    - #### bridgeRetry

          public final void bridgeRetry​(long failureRetryInterval,
                                        java.lang.String bridgeName)

      Specified by:
        `bridgeRetry` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeRetry$str

          protected java.lang.String bridgeRetry$str()

    - #### bridgeNotStarted

          public final void bridgeNotStarted​(java.lang.String bridgeName)

      Specified by:
        `bridgeNotStarted` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeNotStarted$str

          protected java.lang.String bridgeNotStarted$str()

    - #### bridgeFailure

          public final void bridgeFailure​(java.lang.Exception e,
                                          java.lang.String bridgeName)

      Specified by:
        `bridgeFailure` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeFailure$str

          protected java.lang.String bridgeFailure$str()

    - #### bridgeAckError

          public final void bridgeAckError​(java.lang.Exception e,
                                           java.lang.String bridgeName)

      Specified by:
        `bridgeAckError` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeAckError$str

          protected java.lang.String bridgeAckError$str()

    - #### bridgeConnectError

          public final void bridgeConnectError​(java.lang.Exception e,
                                               java.lang.String bridgeName)

      Specified by:
        `bridgeConnectError` in interface `ActiveMQJMSBridgeLogger`

    - #### bridgeConnectError$str

          protected java.lang.String bridgeConnectError$str()

    - #### transactionRolledBack

          public final void transactionRolledBack​(java.lang.Exception e)

      Specified by:
        `transactionRolledBack` in interface `ActiveMQJMSBridgeLogger`

    - #### transactionRolledBack$str

          protected java.lang.String transactionRolledBack$str()

    - #### jmsBridgeSrcConnectError

          public final void jmsBridgeSrcConnectError​(java.lang.Exception e,
                                                     java.lang.String bridgeName)

      Specified by:
        `jmsBridgeSrcConnectError` in interface `ActiveMQJMSBridgeLogger`

    - #### jmsBridgeSrcConnectError$str

          protected java.lang.String jmsBridgeSrcConnectError$str()

    - #### jmsBridgeTransactionManagerMissing

          public final void jmsBridgeTransactionManagerMissing​(QualityOfServiceMode qosMode,
                                                               java.lang.String bridgeName)

      Specified by:
        `jmsBridgeTransactionManagerMissing` in interface `ActiveMQJMSBridgeLogger`

    - #### jmsBridgeTransactionManagerMissing$str

          protected java.lang.String jmsBridgeTransactionManagerMissing$str()